Subject: Re: link relationship registration

From: Asbjørn Ulsberg <[email-masked]>
Date: Fri, 02 Jan 2009 07:50:47 +0100

On Wed, 10 Dec 2008 12:50:09 +0100, Phil Archer <[email-masked]> wrote:

> Case sensitivity is an issue. Hmmm... can 04 say that tokens given as  
> rel types SHOULD be lower case and that UAs SHOULD treat such tokens as  
> case insensitive? Would that put too much of a strain on saying that  
> tokens are treated as relative URIs? (I know that paths are case  
> sensitive).

Is perhaps RFC 4287's definition of atom:id a good starting place for defining how this token should be created, matched, etc.?

  <http://www.atompub.org/rfc4287.html#element.id>

> There shouldn't be any need for UAs to resolve tokens given as values  
> for @rel as absolute URIs and no one's suggesting that UAs should  
> actually make an HTTP request of any kind to iana.org every time there's  
> a link to a stylesheet. It's the person minting the new relationship  
> type that needs to check. What it means is that if you create a link  
> (HTML or HTTP) and use a @rel type 'foo' that gives a 404 from  
> http://www.iana.org/assignments/relation/foo then you really shouldn't  
> expect UAs to do anything sensible with it.

I think this is basically the same old "should a URI be resolvable" discussion we've been having for years, especially wrt XML namespaces and as mentioned; the atom:id element.

> Whether a UA chooses to actually implement support for a registered @rel  
> type remains very much up to the UA developer of course.

Entirely up to, imho.

-- 
Asbjørn Ulsberg         -=|=-          [email-masked]
«He's a loathsome offensive brute, yet I can't look away»